const telegram = $state({user: null, initData: null})
let checkCount = $state(0);

export function useTelegram() {
    const checkTelegramUser = () => {
        checkCount = checkCount+1;
        if (typeof window === 'undefined') {
            setTimeout(checkTelegramUser, 100);
            return;
        }
        telegram.initData = Telegram?.WebApp?.initData;
        console.log(Telegram?.WebApp);
        if (!telegram.initData) {
            setTimeout(checkTelegramUser, 100);
            console.warn("initData could not be loaded");
            return;
        }
        const searchParams = new URLSearchParams(telegram.initData);
        const tempUser = searchParams.get('user');
        if (!tempUser) {
            console.warn("User could not be loaded");
            return;
        }
        telegram.user = JSON.parse(tempUser);
    }

    $effect(() => {
        setTimeout(checkTelegramUser, 100);
    });

    return telegram
}


